[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TTaskDialogButtons.Add

Adds a new collection item using the ItemClass for the collection.

## Declaration

Source position: dialogs.pp line 682

`public function TTaskDialogButtons.Add: TTaskDialogBaseButtonItem;`

## Function result

Collection item created in the method.

## Description

Calls the inherited Add method to create the new collection item, and casts the return value to the TTaskDialogBaseButtonItem type used as the ItemClass. The inherited method uses the Collection as the Owner for the new collection item.

## See also

TCollection.Add
TCollection.Owner
TCollection.ItemClass